## org.eclipse.datatools.connectivity.ui.templates
Class TreeParent

    java.lang.Object
      org.eclipse.datatools.connectivity.ui.templates.TreeObject
          org.eclipse.datatools.connectivity.ui.templates.TreeParent

    public class TreeParent

extends TreeObject

Specialized tree object that has children

Author:
  brianf

Constructor Summary
`TreeParent()`

Method Summary
`void` `addChild(TreeObject tobj)` Adds a child
`java.util.ArrayList` `getChildren()` Getter for children
`java.lang.Object[]` `getChildrenArray()` Getter for children as array
`boolean` `removeChild(TreeObject tobj)` Removes a child

Methods inherited from class org.eclipse.datatools.connectivity.ui.templates.TreeObject
`getName, getParent, getValue, setName, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeParent

    public TreeParent()

Method Detail

### getChildren

    public java.util.ArrayList getChildren()

  Getter for children

### getChildrenArray

    public java.lang.Object[] getChildrenArray()

  Getter for children as array

### addChild

    public void addChild(TreeObject tobj)

  Adds a child

### removeChild

    public boolean removeChild(TreeObject tobj)

  Removes a child